# frozen_string_literal: true

require "decidim/core/test/shared_examples/authorable"
require "decidim/core/test/shared_examples/coauthorable"
require "decidim/core/test/shared_examples/publicable"
require "decidim/core/test/shared_examples/localised_email"
require "decidim/core/test/shared_examples/logo_email"
require "decidim/core/test/shared_examples/has_attachments"
require "decidim/core/test/shared_examples/has_attachment_collections"
require "decidim/core/test/shared_examples/has_component"
require "decidim/core/test/shared_examples/has_scope"
require "decidim/core/test/shared_examples/has_category"
require "decidim/core/test/shared_examples/has_reference"
require "decidim/core/test/shared_examples/comments_examples"
require "decidim/core/test/shared_examples/announcements_examples"
require "decidim/core/test/shared_examples/process_announcements_examples"
require "decidim/core/test/shared_examples/reportable"
require "decidim/core/test/shared_examples/reports_examples"
require "decidim/core/test/shared_examples/paginated_resource_examples"
require "decidim/core/test/shared_examples/errors"
require "decidim/core/test/shared_examples/scope_helper_examples"
require "decidim/core/test/shared_examples/user_localised_email_examples"
require "decidim/core/test/shared_examples/follows_examples"
require "decidim/core/test/shared_examples/simple_event"
require "decidim/core/test/shared_examples/component_type"
require "decidim/core/test/shared_examples/fingerprint_examples"
require "decidim/core/test/shared_examples/searchable_results_examples"
require "decidim/core/test/shared_examples/has_space_in_mcell_examples"
require "decidim/core/test/shared_examples/railtie_examples"
require "decidim/core/test/shared_examples/edit_link_shared_examples"
require "decidim/core/test/shared_examples/amendable/create_amendment_examples"
require "decidim/core/test/shared_examples/amendable/withdraw_amendment_examples"
require "decidim/core/test/shared_examples/amendable/reject_amendment_examples"
require "decidim/core/test/shared_examples/amendable/promote_amendment_examples"
require "decidim/core/test/shared_examples/amendable/amendment_form_examples"
require "decidim/core/test/shared_examples/amendable/accept_amendment_examples"
require "decidim/core/test/shared_examples/resourceable"
require "decidim/core/test/shared_examples/amendable/amendment_created_event_examples"
require "decidim/core/test/shared_examples/amendable/amendment_accepted_event_examples"
require "decidim/core/test/shared_examples/amendable/amendment_rejected_event_examples"
require "decidim/core/test/shared_examples/amendable/amendment_promoted_event_examples"
require "decidim/core/test/shared_examples/uncommentable_component_examples"
